Bug 175543 - Cups keeps Epson USB printer queue off-line
Cups keeps Epson USB printer queue off-line
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On: 168485
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-12 10:52 EST by David W. Legg
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 10:34:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David W. Legg 2005-12-12 10:52:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
I have a couple of examples of Epson USB printers (880 and C46) where this is true.  When the printer becomes unavailable becuase it is, say, out of ink, cups puts the queue off-line.

When the ink cartridge has been replaced, and the printer is now available, cups fails to notice, and leaves the printer queue off-line.

This means that users (some of whom are not used to logging in as root) have to re-enable the printer queue using the KDE control centre (or whatever).

This seems a wrong design decision. I think the printer queue should be re-enabled automatically when the printer becomes available again.

Version-Release number of selected component (if applicable):
1.1.22

How reproducible:
Always

Steps to Reproduce:
1. Printer runs out of ink.
2. Queue goes off-line
3. Change ink.
4. Printer now available again.
5. No printing happens.
6. Re-start printer in KDE control centre (as root)
7. Printing happens happily once more.


Additional info:
Comment 1 David W. Legg 2005-12-12 10:53:57 EST
The problem is that users cannot get the queue to re-start, even by re-booting
the machine.  And we don't want naive users to get frustrated with Fedora do we? :)
Comment 2 Tim Waugh 2005-12-12 11:00:48 EST
Well, another way of looking at this problem is that there is no obvious way for
someone to re-enable the queue once it has been automatically set offline.
Comment 3 Matthew Miller 2006-07-10 18:40:25 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Tim Waugh 2006-07-12 10:34:18 EDT
FWIW, CUPS-1.2 now allows a policy to be set to avoid setting the printer
off-line; and the FC6 config tool will allow setting printer's on-line again.

Note You need to log in before you can comment on or make changes to this bug.